Package org.apache.jmeter.testelement.property

# Class BooleanProperty

java.lang.Object
org.apache.jmeter.testelement.property.AbstractProperty
org.apache.jmeter.testelement.property.BooleanProperty

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<JMeterProperty>`, `JMeterProperty`

public class BooleanProperty extends AbstractProperty

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.jmeter.testelement.property.AbstractProperty

`log`

## Constructor Summary

Constructors
Constructor
Description
`BooleanProperty()`
`BooleanProperty(String name, boolean v)`

## Method Summary

Modifier and Type
Method
Description
`BooleanProperty`
`clone()`
`boolean`
`getBooleanValue()`
Returns false if string is invalid or null.
`Object`
`getObjectValue()`
`String`
`getStringValue()`
`void`
`recoverRunningVersion(org.apache.jmeter.testelement.TestElement owner)`
Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void`
`setObjectValue(Object v)`
`void`
`setRunningVersion(boolean runningVersion)`
Make the property a running version or turn it off as the running version.

### Methods inherited from class org.apache.jmeter.testelement.property.AbstractProperty

`compareTo, convertObject, createProperty, equals, getBlankProperty, getBlankProperty, getDoubleValue, getFloatValue, getIntValue, getIterator, getLongValue, getName, getPropertyType, hashCode, isEqualType, isRunningVersion, makeProperty, mergeIn, normalizeList, normalizeMap, setName, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BooleanProperty

public BooleanProperty(String name, boolean v)

### BooleanProperty

public BooleanProperty()

## Method Details

### setObjectValue

public void setObjectValue(Object v)

### getStringValue

public String getStringValue()

### getObjectValue

public Object getObjectValue()

### clone

public BooleanProperty clone()
Description copied from class: `AbstractProperty`

Specified by:
  `clone` in interface `JMeterProperty`
Overrides:
  `clone` in class `AbstractProperty`

### getBooleanValue

public boolean getBooleanValue()
Returns false if string is invalid or null.

Specified by:
  `getBooleanValue` in interface `JMeterProperty`
Overrides:
  `getBooleanValue` in class `AbstractProperty`
See Also:
  - `JMeterProperty.getBooleanValue()`

### setRunningVersion

public void setRunningVersion(boolean runningVersion)
Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

Specified by:
  `setRunningVersion` in interface `JMeterProperty`
Overrides:
  `setRunningVersion` in class `AbstractProperty`
Parameters:
  `runningVersion` - flag whether this property is a running version

### recoverRunningVersion

public void recoverRunningVersion(org.apache.jmeter.testelement.TestElement owner)
Tell the property to revert to the state at the time setRunningVersion(true) was called.

Parameters:
  `owner` - the owning element